Error: recipe for target 'ruby-runner' failed

10/04/2015 05:39 AM - duerst (Martin Dürst)

Status: Closed   

Priority: Normal   

Assignee: nobu (Nobuyoshi Nakada)   

Target version:    

ruby -v: ruby 2.3.0dev (2015-10-02 trunk 52005)

[x86_64-cygwin]

Backport: 2.0.0: DONTNEED, 2.1: DONTNEED,

2.2: DONTNEED

Description

When executing "make up; make install-nodoc" as I do almost everyday, I got the following error:

make[1]: Leaving directory '/cygdrive/c/Data/ruby-public'

gcc -O3 -fno-fast-math -ggdb3 -Wall -Wextra -Wno-unused-parameter -Wno-parentheses -Wno-long-long

-Wno-missing-field-initializers -Wunused-variable -Werror=pointer-arith -Werror=write-strings -Werror=declaration-after-statement

-Werror=implicit-function-declaration -Werror=deprecated-declarations -Wno-packed-bitfield-compat     -I.

-I.ext/include/x86_64-cygwin -I./include -I. -O3 -fno-fast-math -ggdb3 -Wall -Wextra -Wno-unused-parameter -Wno-parentheses

-Wno-long-long -Wno-missing-field-initializers -Wunused-variable -Werror=pointer-arith -Werror=write-strings

-Werror=declaration-after-statement -Werror=implicit-function-declaration -Werror=deprecated-declarations

-Wno-packed-bitfield-compat   -L. -fstack-protector  ruby-runner.c Makefile GNUmakefile   -o ruby-runner

/usr/lib/gcc/x86_64-pc-cygwin/4.9.3/../../../../x86_64-pc-cygwin/bin/ld:Makefile: file format not recognized; treating as linker script

/usr/lib/gcc/x86_64-pc-cygwin/4.9.3/../../../../x86_64-pc-cygwin/bin/ld:Makefile:2: syntax error

collect2: error: ld returned 1 exit status

: recipe for target 'ruby-runner' failed

make: *** [ruby-runner] Error 1

I suspect this is related to r52010 (template/ruby-runner.c.in: POSIX for setenv).

This happens on cygwin.

Associated revisions

Revision b0f62ba6d168099e47bdda5ac3c75684099ed528 - 10/04/2015 02:19 PM - nobu (Nobuyoshi Nakada)

Makefile.in: ruby-runner with exeext

Makefile.in (PREP): fix dependent file name with exeext suffix.

[Bug #11565]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@52025 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision b0f62ba6 - 10/04/2015 02:19 PM - nobu (Nobuyoshi Nakada)

Makefile.in: ruby-runner with exeext

Makefile.in (PREP): fix dependent file name with exeext suffix.

[Bug #11565]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@52025 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 10/04/2015 02:19 PM - nobu (Nobuyoshi Nakada)

- Status changed from Open to Closed

Applied in changeset r52025.

Makefile.in: ruby-runner with exeext

Makefile.in (PREP): fix dependent file name with exeext suffix.

[Bug #11565]

#2 - 10/27/2015 08:23 AM - nagachika (Tomoyuki Chikanaga)
https://redmine.ruby-lang.org/issues/11565


- Backport changed from 2.0.0: UNKNOWN, 2.1: UNKNOWN, 2.2: UNKNOWN to 2.0.0: DONTNEED, 2.1: DONTNEED, 2.2: DONTNEED
